
Figure - Bug #118547
【IOVDEV-32776】【内部】【VC1】【0072】【台架】【EE环境】【副屏】【第三方应用】爱奇艺使用小窗
视频观看后返回上一级手势失效
2023-06-05 20:20 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-03 15:44

【开机次数】：第234次

【前提条件】：

1.副屏上电

2.下载并安装爱奇艺（视频中为最新版11.5.0）

【问题操作步骤】：

1.打开爱奇艺

2.长按视频封面-打开小窗口播放

3.屏幕左侧边缘右滑返回上一级直到返回到HOME页

4.再次打开爱奇艺

5.长按视频封面-打开小窗口播放

5.屏幕左侧边缘右滑返回上一级

【实际结果】：副屏没有返回上级箭头，返回上一级手势不执行

【期望结果】：设备手势识别正常，执行返回上一级操作

【备注】：跟随操作步骤或视频操作一步一步来必现问题，操作中不执行底部上滑操作

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/KgM7e8nOupg%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/uaAEH%2BKyvSQ%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/LXtXI5OcqiA%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-05 20:21 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118547
#2 - 2023-06-07 20:50 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

根据视频可知，问题发生在18:45:20~18:46:00

-----------

000249_persist_00566_230605_154534.log:156:06-05 15:45:36.241  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=28.0, y0=461.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8346845, downTime=8346845, deviceId=4, source=0x5002, displayId=0,

eventId=39301528 }

000249_persist_00566_230605_154534.log:160:06-05 15:45:36.385  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=28.0, y0=461.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8346989, downTime=8346845, deviceId=4, source=0x5002, displayId=0, eventId=817222469 }

000249_persist_00566_230605_154534.log:184:06-05 15:45:36.863  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=79.0, y0=475.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8347467, downTime=8347467, deviceId=4, source=0x5002, displayId=0,

eventId=593065196 }

000249_persist_00566_230605_154534.log:185:06-05 15:45:36.955  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=79.0, y0=475.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8347559, downTime=8347467, deviceId=4, source=0x5002, displayId=0, eventId=1038459822 }

000249_persist_00566_230605_154534.log:237:06-05 15:45:37.315  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=53.0, y0=461.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8347919, downTime=8347919, deviceId=4, source=0x5002, displayId=0,

eventId=335131586 }

000249_persist_00566_230605_154534.log:238:06-05 15:45:37.419  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=53.0, y0=461.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8348023, downTime=8347919, deviceId=4, source=0x5002, displayId=0, eventId=550382618 }

000249_persist_00566_230605_154534.log:1251:06-05 15:45:45.089  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_DOWN, actionButton=0, id0=0, x0=249.0, y0=771.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8355697, downTime=8355697, deviceId=4, source=0x5002, displayId=0,

eventId=255155088 }

000249_persist_00566_230605_154534.log:1300:06-05 15:45:45.146  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_MOVE, actionButton=0, id0=0, x0=259.0, y0=771.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8355754, downTime=8355697, deviceId=4, source=0x5002, displayId=0,

eventId=1044323888 }

000249_persist_00566_230605_154534.log:1304:06-05 15:45:45.183  8073  8073 D ViewTouchDebug: mView : DecorView@2920180[WelcomeActivity]Receive event :

MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x0=259.0, y0=771.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0,

flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=8355791, downTime=8355697, deviceId=4, source=0x5002, displayId=0, eventId=949300810 }

在18:45:3+ 有收到点击事件

在18:45:20~18:45:35之间，多次滑动过屏幕，但是并没有收到滑动事件

000249_persist_00557_230605_154459.log:211:06-05 15:45:00.460 25333 25333 E neuron.client: [main] doFireEvent start service

intent=ff7b17dc-c0cc-411e-8bcc-09329f5fb84c failed, handle lost event

000249_persist_00568_230605_154557.log:407:06-05 15:46:00.649 25333 25333 E neuron.client: [main] doFireEvent start service

intent=02a460bb-d633-4ba1-ae02-d5ea0799183f failed, handle lost event

000249_persist_00565_230605_154520.log:82:06-05 15:45:20.992 25333 25333 E neuron.client: [main] doFireEvent start service

intent=13ed1085-a7ed-4b75-a2d2-084ed1965ad0 failed, handle lost event

000249_persist_00565_230605_154520.log:945:06-05 15:45:30.553 25333 25333 E neuron.client: [main] doFireEvent start service

intent=08d4d99c-20f4-4234-b415-2d92a58a04a0 failed, handle lost event

在问题发生附近出现了 handle lost event 的日志，该日志是B站的进程打印出来的

猜测与此有关

-----------
■ 下一步计划

继续调查18:45:20~18:45:35之间，没有收到滑动事件的原因

可能是B站导致

#3 - 2023-06-09 11:33 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#4 - 2023-06-10 16:31 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

■ Current conclusion

客户确认为爱奇艺版本太低导致，JIRA 问题已关闭。

■ Next action

测试确认。

#5 - 2023-06-17 19:02 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户确认：

下载最新版爱奇艺后此bug不复现，关闭此bug单

#6 - 2023-06-17 19:02 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-17 19:02 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
